Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet.esb.common.v2
Class CommonInput

    java.lang.Object
      be.cin.mycarenet.esb.common.v2.CommonInput

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:32:12+02:00",
               comments="JAXB RI v2.2.11")
    public class CommonInput

extends Object
implements Serializable

The "root"-type of the common input element.

Java class for CommonInputType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CommonInputType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Request" type="{urn:be:cin:mycarenet:esb:common:v2}RequestType"/>
             <element name="Origin" type="{urn:be:cin:mycarenet:esb:common:v2}OrigineType"/>
             <element name="InputReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="NIPReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CommonInput()`

Method Summary
`String` | `getInputReference()` Gets the value of the inputReference property.
`String` | `getNIPReference()` Gets the value of the nipReference property.
`OrigineType` | `getOrigin()` Gets the value of the origin property.
`RequestType` | `getRequest()` Gets the value of the request property.
`void` | `setInputReference(String value)` Sets the value of the inputReference property.
`void` | `setNIPReference(String value)` Sets the value of the nipReference property.
`void` | `setOrigin(OrigineType value)` Sets the value of the origin property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonInput

    public CommonInput()

Method Detail

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

### getOrigin

    public OrigineType getOrigin()

  Gets the value of the origin property.

  Returns:
    possible object is `OrigineType`

### setOrigin

    public void setOrigin(OrigineType value)

  Sets the value of the origin property.

  Parameters:
    `value` - allowed object is `OrigineType`

### getInputReference

    public String getInputReference()

  Gets the value of the inputReference property.

  Returns:
    possible object is `String`

### setInputReference

    public void setInputReference(String value)

  Sets the value of the inputReference property.

  Parameters:
    `value` - allowed object is `String`

### getNIPReference

    public String getNIPReference()

  Gets the value of the nipReference property.

  Returns:
    possible object is `String`

### setNIPReference

    public void setNIPReference(String value)

  Sets the value of the nipReference property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.